org.jgrapht.ext

## Class VisioExporter<V,E>

- java.lang.Object
- - org.jgrapht.ext.VisioExporter<V,E>

-     public class VisioExporter<V,E>
      extends Object

  Exports a graph to a csv format that can be imported into MS Visio.

  Tip: By default, the exported graph doesn't show link directions. To show link directions:

  1. Select All (Ctrl-A)
  2. Right Click the selected items
  3. Format/Line...
  4. Line ends: End: (choose an arrow)
  Author:
    Avner Linder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisioExporter()` Creates a new VisioExporter object.
    `VisioExporter(VertexNameProvider<V> vertexNameProvider)` Creates a new VisioExporter object with the specified naming policy.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(OutputStream output, Graph<V,E> g)` Exports the specified graph into a Visio csv file format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VisioExporter

          public VisioExporter(VertexNameProvider<V> vertexNameProvider)

      Creates a new VisioExporter object with the specified naming policy.
      Parameters:
        `vertexNameProvider` - the vertex name provider to be used for naming the Visio shapes.

    - #### VisioExporter

          public VisioExporter()

      Creates a new VisioExporter object.

  - ### Method Detail

    - #### export

          public void export(OutputStream output,
                    Graph<V,E> g)

      Exports the specified graph into a Visio csv file format.
      Parameters:
        `output` - the print stream to which the graph to be exported.
        `g` - the graph to be exported.

Copyright © 2016. All rights reserved.